curl --request PATCH \
--url https://{organization}.admin.credibledata.com/api/v0/users/{userName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userName": "jsmith@example.com",
"password": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"businessRole": "<string>",
"tutorialStatus": {
"environmentTutorial": {
"hasClickedCreateModel": false,
"doNotShowModelIntro": false,
"doNotShowSchemaExplorerTip": false,
"doNotShowTutorialInHomePanel": false,
"doNotShowConnectionOnboarding": false
}
}
}
'import requests
url = "https://{organization}.admin.credibledata.com/api/v0/users/{userName}"
payload = {
"userName": "jsmith@example.com",
"password": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"businessRole": "<string>",
"tutorialStatus": { "environmentTutorial": {
"hasClickedCreateModel": False,
"doNotShowModelIntro": False,
"doNotShowSchemaExplorerTip": False,
"doNotShowTutorialInHomePanel": False,
"doNotShowConnectionOnboarding": False
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userName: 'jsmith@example.com',
password: '<string>',
email: 'jsmith@example.com',
firstName: '<string>',
lastName: '<string>',
businessRole: '<string>',
tutorialStatus: {
environmentTutorial: {
hasClickedCreateModel: false,
doNotShowModelIntro: false,
doNotShowSchemaExplorerTip: false,
doNotShowTutorialInHomePanel: false,
doNotShowConnectionOnboarding: false
}
}
})
};
fetch('https://{organization}.admin.credibledata.com/api/v0/users/{userName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{organization}.admin.credibledata.com/api/v0/users/{userName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'userName' => 'jsmith@example.com',
'password' => '<string>',
'email' => 'jsmith@example.com',
'firstName' => '<string>',
'lastName' => '<string>',
'businessRole' => '<string>',
'tutorialStatus' => [
'environmentTutorial' => [
'hasClickedCreateModel' => false,
'doNotShowModelIntro' => false,
'doNotShowSchemaExplorerTip' => false,
'doNotShowTutorialInHomePanel' => false,
'doNotShowConnectionOnboarding' => false
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{organization}.admin.credibledata.com/api/v0/users/{userName}"
payload := strings.NewReader("{\n \"userName\": \"jsmith@example.com\",\n \"password\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessRole\": \"<string>\",\n \"tutorialStatus\": {\n \"environmentTutorial\": {\n \"hasClickedCreateModel\": false,\n \"doNotShowModelIntro\": false,\n \"doNotShowSchemaExplorerTip\": false,\n \"doNotShowTutorialInHomePanel\": false,\n \"doNotShowConnectionOnboarding\": false\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{organization}.admin.credibledata.com/api/v0/users/{userName}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userName\": \"jsmith@example.com\",\n \"password\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessRole\": \"<string>\",\n \"tutorialStatus\": {\n \"environmentTutorial\": {\n \"hasClickedCreateModel\": false,\n \"doNotShowModelIntro\": false,\n \"doNotShowSchemaExplorerTip\": false,\n \"doNotShowTutorialInHomePanel\": false,\n \"doNotShowConnectionOnboarding\": false\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{organization}.admin.credibledata.com/api/v0/users/{userName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userName\": \"jsmith@example.com\",\n \"password\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessRole\": \"<string>\",\n \"tutorialStatus\": {\n \"environmentTutorial\": {\n \"hasClickedCreateModel\": false,\n \"doNotShowModelIntro\": false,\n \"doNotShowSchemaExplorerTip\": false,\n \"doNotShowTutorialInHomePanel\": false,\n \"doNotShowConnectionOnboarding\": false\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"userName": "jsmith@example.com",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"businessRole": "<string>",
"tutorialStatus": {
"environmentTutorial": {
"hasClickedCreateModel": false,
"doNotShowModelIntro": false,
"doNotShowSchemaExplorerTip": false,
"doNotShowTutorialInHomePanel": false,
"doNotShowConnectionOnboarding": false
}
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Update user account
Updates user profile information, tutorial status, and account configuration.
Authorization: Requires user admin permissions or self-update access. Security: Password updates are handled securely with encryption.
curl --request PATCH \
--url https://{organization}.admin.credibledata.com/api/v0/users/{userName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userName": "jsmith@example.com",
"password": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"businessRole": "<string>",
"tutorialStatus": {
"environmentTutorial": {
"hasClickedCreateModel": false,
"doNotShowModelIntro": false,
"doNotShowSchemaExplorerTip": false,
"doNotShowTutorialInHomePanel": false,
"doNotShowConnectionOnboarding": false
}
}
}
'import requests
url = "https://{organization}.admin.credibledata.com/api/v0/users/{userName}"
payload = {
"userName": "jsmith@example.com",
"password": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"businessRole": "<string>",
"tutorialStatus": { "environmentTutorial": {
"hasClickedCreateModel": False,
"doNotShowModelIntro": False,
"doNotShowSchemaExplorerTip": False,
"doNotShowTutorialInHomePanel": False,
"doNotShowConnectionOnboarding": False
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userName: 'jsmith@example.com',
password: '<string>',
email: 'jsmith@example.com',
firstName: '<string>',
lastName: '<string>',
businessRole: '<string>',
tutorialStatus: {
environmentTutorial: {
hasClickedCreateModel: false,
doNotShowModelIntro: false,
doNotShowSchemaExplorerTip: false,
doNotShowTutorialInHomePanel: false,
doNotShowConnectionOnboarding: false
}
}
})
};
fetch('https://{organization}.admin.credibledata.com/api/v0/users/{userName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{organization}.admin.credibledata.com/api/v0/users/{userName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'userName' => 'jsmith@example.com',
'password' => '<string>',
'email' => 'jsmith@example.com',
'firstName' => '<string>',
'lastName' => '<string>',
'businessRole' => '<string>',
'tutorialStatus' => [
'environmentTutorial' => [
'hasClickedCreateModel' => false,
'doNotShowModelIntro' => false,
'doNotShowSchemaExplorerTip' => false,
'doNotShowTutorialInHomePanel' => false,
'doNotShowConnectionOnboarding' => false
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{organization}.admin.credibledata.com/api/v0/users/{userName}"
payload := strings.NewReader("{\n \"userName\": \"jsmith@example.com\",\n \"password\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessRole\": \"<string>\",\n \"tutorialStatus\": {\n \"environmentTutorial\": {\n \"hasClickedCreateModel\": false,\n \"doNotShowModelIntro\": false,\n \"doNotShowSchemaExplorerTip\": false,\n \"doNotShowTutorialInHomePanel\": false,\n \"doNotShowConnectionOnboarding\": false\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{organization}.admin.credibledata.com/api/v0/users/{userName}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userName\": \"jsmith@example.com\",\n \"password\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessRole\": \"<string>\",\n \"tutorialStatus\": {\n \"environmentTutorial\": {\n \"hasClickedCreateModel\": false,\n \"doNotShowModelIntro\": false,\n \"doNotShowSchemaExplorerTip\": false,\n \"doNotShowTutorialInHomePanel\": false,\n \"doNotShowConnectionOnboarding\": false\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{organization}.admin.credibledata.com/api/v0/users/{userName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userName\": \"jsmith@example.com\",\n \"password\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessRole\": \"<string>\",\n \"tutorialStatus\": {\n \"environmentTutorial\": {\n \"hasClickedCreateModel\": false,\n \"doNotShowModelIntro\": false,\n \"doNotShowSchemaExplorerTip\": false,\n \"doNotShowTutorialInHomePanel\": false,\n \"doNotShowConnectionOnboarding\": false\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"userName": "jsmith@example.com",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"businessRole": "<string>",
"tutorialStatus": {
"environmentTutorial": {
"hasClickedCreateModel": false,
"doNotShowModelIntro": false,
"doNotShowSchemaExplorerTip": false,
"doNotShowTutorialInHomePanel": false,
"doNotShowConnectionOnboarding": false
}
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the user Valid email address pattern
^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$Body
Represents a user account with profile information and tutorial status
The user's username — an email address used for authentication. Matches the path-parameter form on /users/{userName}. (Previously $ref'd IdentifierPattern, which disallowed '@' and '.'; that was never enforced at runtime so production data is all emails.)
User's password (only included in create/update requests, never in responses)
User's email address, used for authentication and notifications
User's first name. May be empty when the row was auto-created (e.g. Auth0 ensure-user path) before the user filled in their profile — UI flows that capture a name should PATCH this in.
64User's last name. May be empty when the row was auto-created (e.g. Auth0 ensure-user path) before the user filled in their profile — UI flows that capture a name should PATCH this in.
64User's business role or job title
Represents the tutorial completion status and user preferences for onboarding
Show child attributes
Show child attributes
Response
User updated successfully
Represents a user account with profile information and tutorial status
The user's username — an email address used for authentication. Matches the path-parameter form on /users/{userName}. (Previously $ref'd IdentifierPattern, which disallowed '@' and '.'; that was never enforced at runtime so production data is all emails.)
User's email address, used for authentication and notifications
User's first name. May be empty when the row was auto-created (e.g. Auth0 ensure-user path) before the user filled in their profile — UI flows that capture a name should PATCH this in.
64User's last name. May be empty when the row was auto-created (e.g. Auth0 ensure-user path) before the user filled in their profile — UI flows that capture a name should PATCH this in.
64User's business role or job title
Represents the tutorial completion status and user preferences for onboarding
Show child attributes
Show child attributes
Was this page helpful?